Skip to main content
POST
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
copy-project
Create a new project by copying an existing project and providing optional overrides.
curl --request POST \
  --url https://api.example.com/api/projects/v1/projects/{projectId}/copy-project \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "copyDatasets": true,
  "copyNetAppVolumes": true,
  "importedGitReposCredentialId": "<string>",
  "name": "<string>",
  "ownerId": "<string>"
}
'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  },
  "project": {
    "collaborators": [
      {
        "id": "662604702b7e5d347dbe7a908"
      }
    ],
    "description": "<string>",
    "id": "626046fcb7e5d347dbe7a904",
    "isRestricted": true,
    "name": "My Project",
    "ownerId": "662604702b7e5d347dbe7a908",
    "ownerUsername": "steve_holt",
    "billingTag": {
      "tag": "<string>"
    },
    "internalTags": [
      "<string>"
    ],
    "mainRepository": {
      "defaultRef": {
        "value": "<string>"
      },
      "id": "62604702b7e5d347dbe7a908",
      "uri": "https://github.com/torvalds/linux",
      "name": "<string>"
    }
  },
  "datasetsNotCopied": [
    {
      "datasetInfo": {
        "createdAt": "2022-03-12T02:13:44.467Z",
        "id": "62313ce67a0af0281c01a6a5",
        "name": "My Dataset",
        "description": "<string>",
        "projectId": "62313ce67a0af0281c01a6a5"
      },
      "errorMessage": "<string>"
    }
  ],
  "netAppVolumesNotCopied": [
    {
      "errorMessage": "<string>",
      "volumeInfo": {
        "id": "06cd6820-3226-4d41-99b2-14ec51e38771",
        "name": "My NetApp Volume",
        "createdAt": "2022-03-12T02:13:44.467Z",
        "description": "<string>"
      }
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

Project ID

Body

application/json

Information needed in order to copy a project.

copyDatasets
boolean
required

Whether to copy the Project's Datasets or not

billingTag
object

Billing Tag to assign to projects for cost aggregation

copyNetAppVolumes
boolean

Whether to copy the Project's NetApp Volumes or not

gitCodeRepoSpec
object

Details needed in order to copy the code repository of a Git-backed project.

importedGitReposCredentialId
string

The Domino ID of the PAT credential, which will be used to access the Imported Git Repos on the new project.

name
string

The name of the new Domino Project.

ownerId
string

The Domino ID of owner of the copied project.

visibility
enum<string>

The visibility of the new Project.

Available options:
public,
searchable,
private

Response

Success

metadata
object
required
project
object
required
datasetsNotCopied
object[]
netAppVolumesNotCopied
object[]